=== test/ext/CMakeLists.txt ===
glmCreateTestGTC(ext_vec1)
glmCreateTestGTC(ext_vector_relational)
