=== debian/changelog ===
glm (0.9.9~a2-2) unstable; urgency=medium

  [ Andrew Caudwell ]
  * Backport upstream commit adding GLM_FORCE_CTOR_INIT. (Closes: #892861)

  [ Guus Sliepen ]
  * Remove unnecessary --parallel from debian/rules.
  * Update Vcs-* and Homepage links in debian/control.
  * Move glm.pc to /usr/share/pkgconfig/.

 -- Guus Sliepen <guus@debian.org>  Thu, 29 Mar 2018 15:08:45 +0200

glm (0.9.9~a2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBTS with GCC 7.3. Closes: #888550, #888661
  * Remove the fix-infiloop patch.
  * Rebuild the reference manual using Doxygen. Closes: #879517
  * Bump Standards-Version.
  * Add Rules-Requires-Root: no.

 -- Guus Sliepen <guus@debian.org>  Sun, 28 Jan 2018 18:37:59 +0100
