=== debian/control ===
Source: glm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Guus Sliepen <guus@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10), cmake, doxygen
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/glm
Vcs-Git: https://salsa.debian.org/science-team/glm.git
Homepage: https://glm.g-truc.net/
Rules-Requires-Root: no

Package: libglm-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Description: C++ library for OpenGL GLSL type-based mathematics
 OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
 software based on the OpenGL Shading Language (GLSL) specification.
 .
 GLM provides classes and functions designed and implemented with the same
 naming conventions and functionalities as GLSL, so that when a programmer
 knows GLSL, he knows GLM as well, which makes it really easy to use.
 .
 This project isn't limited to GLSL features. An extension system, based on the
 GLSL extension conventions, provides extended capabilities: matrix
 transformations, quaternions, half-based types, random numbers, et cetera.
 .
 This library works perfectly together with OpenGL but it also ensures
 interoperability with other third party libraries and SDKs. It is a good
 candidate for software rendering (such as raytracing, rasterisation), image
 processing, physic simulations and any context that requires a simple and
 convenient mathematics library.

Package: libglm-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: documentation for the OpenGL Mathematics (GLM) library
 OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
 software based on the OpenGL Shading Language (GLSL) specification.
 .
 This package contains the OpenGL Mathematics manual in HTML and PDF formats.
