=== debian/changelog ===
glm (0.9.9.3-2) unstable; urgency=medium

  * Unconditionally disable GLM_HAS_CONSTEXPR. (Closes: #920791)

 -- Guus Sliepen <guus@debian.org>  Thu, 31 Jan 2019 23:03:04 +0100

glm (0.9.9.3-1) unstable; urgency=medium

  * Updated debian/watch file.
  * New upstream version 0.9.9.3
  * Bump Standards-Version.
  * Build-Depend on debhelper-compat instead of using debian/compat.
  * Remove fix for GLM_FORCE_CTOR_INIT, it has been applied upstream.
  * Refresh patches.

 -- Guus Sliepen <guus@debian.org>  Mon, 28 Jan 2019 13:09:45 +0100
