=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Guus Sliepen <guus@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10), cmake, doxygen
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), cmake, doxygen
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/glm
 Vcs-Git: https://salsa.debian.org/science-team/glm.git
 Homepage: https://glm.g-truc.net/
