=== debian/watch ===
version=3
opts="compression=xz" \
https://github.com/g-truc/glm/releases .*/(\d\S*)\.tar.gz
