## glm 0.9.9.6

=== debian/changelog ===
glm (0.9.9.6-1+nd1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 05 Nov 2019 09:23:21 -0500

glm (0.9.9.6-1+nd1) neurodebian; urgency=medium

  * Introduce old debian/compat and remove debian-compat build-dep
    for backports

 -- Yaroslav Halchenko <neurodebian@smaug.datalad.org>  Tue, 05 Nov 2019 08:51:18 -0500

glm (0.9.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.9.6
  * Remove all quilt patches, they are obsolete now.
  * Deal with upstream no longer providing an install option.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sun, 15 Sep 2019 15:39:43 +0200
