=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: glm
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Guus Sliepen <guus@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12), cmake, doxygen
-Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 10), cmake, doxygen
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/glm
 Vcs-Git: https://salsa.debian.org/science-team/glm.git
 Homepage: https://glm.g-truc.net/
@@ -14,7 +15,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Description: C++ library for OpenGL GLSL type-based mathematics
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
  software based on the OpenGL Shading Language (GLSL) specification.
@@ -37,7 +38,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Recommends: libjs-jquery
 Description: documentation for the OpenGL Mathematics (GLM) library
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
