## glm 0.9.9.7%2Bds

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 		-DGLM_TEST_ENABLE=OFF
 endif
 
+override_dh_install:
+	dh_install
+	find debian -name CMakeLists.txt -delete
+
 override_dh_auto_build:
 	dh_auto_build
 	cd doc; doxygen man.doxy
