## glm 0.9.9.7+ds

=== test/ext/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 glmCreateTestGTC(ext_matrix_relational)
 glmCreateTestGTC(ext_matrix_transform)
+glmCreateTestGTC(ext_matrix_common)
 glmCreateTestGTC(ext_quaternion_common)
 glmCreateTestGTC(ext_quaternion_exponential)
 glmCreateTestGTC(ext_quaternion_geometric)
@@ -11,6 +12,7 @@
 glmCreateTestGTC(ext_scalar_constants)
 glmCreateTestGTC(ext_scalar_int_sized)
 glmCreateTestGTC(ext_scalar_uint_sized)
+glmCreateTestGTC(ext_scalar_integer)
 glmCreateTestGTC(ext_scalar_ulp)
 glmCreateTestGTC(ext_scalar_relational)
 glmCreateTestGTC(ext_vec1)
@@ -18,6 +20,7 @@
 glmCreateTestGTC(ext_vector_common)
 glmCreateTestGTC(ext_vector_iec559)
 glmCreateTestGTC(ext_vector_integer)
+glmCreateTestGTC(ext_vector_integer_sized)
 glmCreateTestGTC(ext_vector_relational)
 glmCreateTestGTC(ext_vector_ulp)
