=== debian/changelog ===
glm (0.9.9.7+ds-1) unstable; urgency=medium

  * Team Upload
  * [c7ff2bd] gbp: add config section for import-orig
  * [8b335ae] New upstream version 0.9.9.7+ds
  * [52bb1a4] d/watch: adding some version mangling

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 09 Jan 2020 19:43:54 +0100

glm (0.9.9.6-2) unstable; urgency=medium

  * Team Upload
  * [2778f0f] Adding a patch queue
    added patches:
     Add-a-CMake-Package-config.patch
    This patch adds back the CMake package config that were already installed
    in previous versions of glm. The non existence of these config files
    were detected correctly by the autopkgtest.
    (Closes: #940906)
  * [f188581] d/libglm-dev.install: install CMake package config (again)
  * [e78de54] d/control: increase Standards-Version to 4.4.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 10 Dec 2019 18:51:22 +0100
