=== debian/changelog ===
glm (0.9.9.8+ds-1) unstable; urgency=medium

  * Team Upload
  * [7dd6485] New upstream version 0.9.9.8+ds
  * [4271349] Dropping the patch queue
    Upstream has merged the patch we've cherry-picked from the GitHub issue
    tracker previously to provide CMake package configs for glm.
    Due this we can drop again our patch queue.
  * [ec891c1] d/libglm-dev.install: Adjust install CMake package config
    The installation of the *.cmake files within libglm-dev needs some small
    adaptation due changed structure of the source.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 May 2020 20:41:19 +0200
