=== debian/tests/control ===
Tests: glm-tests
Depends: cmake, g++ | c++-compiler, libglm-dev
