=== debian/watch ===
# watch file for glm

version=4
opts="compression=xz, \
      uversionmangle=s/-(beta|rc)/~$1/;s/\.-(beta|rc)\.\d.*//;s/\.\.//, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/g-truc/glm/releases .*/(\d\S*)\.tar.gz
